repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
      - id: check-byte-order-marker
      - id: check-merge-conflict
      - id: end-of-file-fixer
      - id: mixed-line-ending
      - id: trailing-whitespace
  - repo: https://github.com/asottile/pyupgrade
    rev: v2.7.2
    hooks:
      - id: pyupgrade
        args: ["--py36-plus"]
  - repo: https://github.com/asottile/reorder_python_imports
    rev: v2.3.5
    hooks:
      - id: reorder-python-imports
        args: ["--py3-plus"]
  - repo: https://github.com/psf/black
    rev: 20.8b1
    hooks:
      - id: black
